Actualités & Annonces de l'équipe de développement et des administrateurs du forum.
Répondre

[Stable] Mise à jour 05/11/2019 - Kernels, Plasma, Firefox, Toolchain

#1Messageil y a 2 semaines

Bonjour à toutes et à tous :bjr:

Une mise à jour est annoncée
Edit: Comme pour toutes mise-à-jour kernel, n'oubliez pas de redémarrer.
Avec celle-ci, nous avons reconstruit la plupart de nos noyaux avec des extramodules et expédions les derniers paquets de KDE-Plasma 5.17.2.
Si vous aimez suivre les derniers développements Plasma, vous pouvez également consulter notre version actuelle de manjaro-kde-vanilla 9, que nous construisons régulièrement à partir de paquets maîtres kde-git.

Comme toujours, nous apprécions vos commentaires et vos suggestions pour les mises à jour.

Traduit avec www.DeepL.com/Translator

N'hésitez pas à nous donner vos commentaires sur les modifications apportées aux dépôts.


-------------------------------------------------------------------------------------
Mise à jour possible par pamac, octopi ou par pacman (de préférence) :

sudo pacman-mirrors -f0 && sudo pacman -Syyu
-------------------------------------------------------------------------------------


Noyaux pris en charge :
  • linux316 3.16.76
  • linux44 4.4.198 (no legacy nvidia-340 module!)
  • linux49 4.9.198
  • linux414 4.14.151
  • linux419 4.19.81
  • linux52 5.2.21 [EOL] (no catalyst module!) En fin de vie
  • linux53 5.3.8 (no catalyst module!)
  • linux54 5.4.0-rc5 (not all modules build yet!) (expérimental)
  • linux419-rt 4.19.72_rt26
  • linux52-rt 5.2.21_rt13
Les changements en détail :
  • community x86_64: 422 nouveaux et 419 paquets retirés
  • core x86_64: 28 nouveaux et 28 paquets retirés
  • extra x86_64: 321 nouveaux et 322 paquets retirés
  • multilib x86_64: 4 nouveaux et 4 paquets retirés
-------------------------------------------------------------------------------------


-------------------------------------------------------------------------------------
ERREUR : conflit de fichiers
Si lors de la mise à jour vous avez le type d'erreur comme ci-dessous (tlp est un exemple) :

erreur : la validation de la transaction a échoué (conflit de fichiers)
tlp : /etc/acpi/thinkpad est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
il convient de passer la commande suivante en l'adaptant à votre cas particulier :

sudo pacman -S nom_paquet --overwrite '/etc/acpi/thinkpad'
Ensuite, vous pouvez faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
ERREUR de clés
Si lors de la mise à jour vous avez des problèmes de clés, essayez de passer les commandes suivantes :

sudo pacman-mirrors -g
sudo pacman -Syy
sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
Ensuite, vous devriez pouvoir faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

[Stable] Mise à jour 05/11/2019 - Kernels, Plasma, Firefox, Toolchain

#2Messageil y a 2 semaines

Hop mise à jour faite, 114 paquets pour 399mo. VBox marche bien c'est le navigateur qui déconne maintenant enfin qui fige mais je vais mettre un log dans le bon topic ^^ merci à ceux qui rendent cela possible

[Stable] Mise à jour 05/11/2019 - Kernels, Plasma, Firefox, Toolchain

#3Messageil y a 2 semaines

Bonjour
MAJ 48 paquets 399MO et tout est Ok.
Merci à toute l'équipe pour le job. :merci:

[Stable] Mise à jour 05/11/2019 - Kernels, Plasma, Firefox, Toolchain

#4Messageil y a 2 semaines

:bjr:
Quelle cadence, je n'ai toujours pas eu le temps de faire celle du PC familial ; je testais encore la précédente sur le mien... :siffle

Je ne vois pas comment pourrait faire une association avec 5 ou 6 machines, chez moi le PC de l'atelier je l'ai repassé sur une autre distribution, je ne pouvais plus suivre, en zone rurale une maj comme la précédente prend presque la demie-journée...
Au risque de me répéter viewtopic.php?p=120614#p120614 ou de dire une bêtise, 1/mois non seulement devrait suffire ; mais en plus permettrait d'avoir plus de temps pour tester et moins se :tetu! non ?

En attendant bonne soirée à tous, et bien sûr, je suis reconnaissant pour le super boulot fait par tous les acteurs à tous les niveaux ; mais cette distribution, que je trouve géniale en tout point, le serait encore plus en espaçant un peu plus ses mises à jour.. :siffle ! :salut:

[Stable] Mise à jour 05/11/2019 - Kernels, Plasma, Firefox, Toolchain

#5Messageil y a 2 semaines

Pour les mise à jours très très longues, il existe une option avec pamac pour télécharger en tâche de fond les paquets.
Possible aussi depuis une semaine avec checkupdates -d (possible donc de créer un timer systemd - ou à lancer la nuit précédent la maj)

ici les paquets sont simplement téléchargés dans le cache de pacman mais aucune mise à jour n'est faite ! lorsque l'on lance la mise à jour à ce moment il est donc possible de ne rien télécharger ...

[Stable] Mise à jour 05/11/2019 - Kernels, Plasma, Firefox, Toolchain

#6Messageil y a 2 semaines

:bjr: papajoke, merci pour l'info, c'est super!
La nuit j'éteins la box (meilleur sommeil), mais je garde l'astuce dans un coin... :sourire:

Bonne soirée!

[Stable] Mise à jour 05/11/2019 - Kernels, Plasma, Firefox, Toolchain

#7Messageil y a 2 semaines

Bonsoir à tous :salut: Mise à jour faite à l'instant. J’attendais juste le paquet compiz pour mettre à jour. C'est le cas aujourd'hui :merci:

[Stable] Mise à jour 05/11/2019 - Kernels, Plasma, Firefox, Toolchain

#8Messageil y a 2 semaines

Erwan a écrit :
il y a 2 semaines
Bonsoir à tous :salut: Mise à jour faite à l'instant. J’attendais juste le paquet compiz pour mettre à jour. C'est le cas aujourd'hui :merci:
Wep, je vais pouvoir misajourner aussi alors... :merci:

[Stable] Mise à jour 05/11/2019 - Kernels, Plasma, Firefox, Toolchain

#9Messageil y a 1 semaine

bonsoir mise à jour effectuée sur mon laptop, parfaitement parfait !
merci à ceux qui rendent cela possible !

[Stable] Mise à jour 05/11/2019 - Kernels, Plasma, Firefox, Toolchain

#10Messageil y a 1 semaine

Bonsoir 91 paquets mis à jours par la ligne de cde qui va bien ,redémarrage = Ras . :cool:

[Stable] Mise à jour 05/11/2019 - Kernels, Plasma, Firefox, Toolchain

#11Messageil y a 1 semaine

Bonsoir, petit problème avec cette mise à jour.

Voyant qu’apparemment il n'y a pas de problèmes, je lance la MAJ (1.1Go, 163 paquets) via pamac (interface graphique) : la barre de téléchargement se bloque après env. 500Mo.
Redémarrage de pamac : ne redémarre pas du tout.
Redémarrage du PC.

Je continue la MAJ, la barre de téléchargement se bloque à 16Mo de la fin.
Redémarrage de pamac : ne redémarre pas du tout.
Redémarrage du PC.

Je me dis qu'il y a un problème au niveau du téléchargement avec les serveurs.

Je continue la MAJ. Après le téléchargement et la vérification d'intégrité j'ai le message : "un argument erroné ou nul a été fourni".
Essai avec pamac en ligne de commande, message "Transaction annulée".
Essai avec pacman : plusieurs erreurs (voir ci-dessous).
Redémarrage du PC.

Durant plusieurs essais avec pamac GUI, séparés par des redémarrages, la barre c'est bloquée aux paquets 150, 153 et 151 (sur 163), impossible d'arriver au bout de la vérification d'intégrité des paquets.

Ma config : Lenovo Yoga, i7, 16gb ram avec Manjaro Gnome Wayland à jour et noyau 5.3.

Mes messages d'erreurs :

[moi@moi-pc ~]$ sudo pacman -Syu
[sudo] Mot de passe de moi :
:: Synchronisation des bases de données de paquets…
erreur : la mise à jour de core a échoué (verrouillage de la base de données impossible)
erreur : la mise à jour de extra a échoué (verrouillage de la base de données impossible)
erreur : la mise à jour de community a échoué (verrouillage de la base de données impossible)
erreur : la mise à jour de multilib a échoué (verrouillage de la base de données impossible)
erreur : la synchronisation de toutes les bases de données a échoué

[moi@moi-pc ~]$ pamac upgrade -a
==== AUTHENTICATING FOR org.manjaro.pamac.commit ====
Une authentification est requise pour installer, mettre à jour ou supprimer des paquets
Authenticating as: Moi (moi)
Password:
==== AUTHENTICATION COMPLETE ====
Clonage des fichiers de construction de franz-bin...
Vérification des dépendances de franz-bin...
Clonage des fichiers de construction de betaflight-configurator-bin...
Vérification des dépendances de betaflight-configurator-bin...
Clonage des fichiers de construction de vivaldi...
Vérification des dépendances de vivaldi...
Synchronisation des bases de données des paquets...
Préparation...
Résolution des dépendances...
Recherche des conflits entre paquets...
À mettre à jour  (161):
  appstream-glib                         0.7.16-2                    (0.7.16-1)               extra      
  archlinux-appstream-data               20191027-1                  (20190925-1)             extra      
  aspell                                 0.60.8-1                    (0.60.7-1)               extra      
  avr-binutils                           2.33.1-1                    (2.32-1)                 community  
  binutils                               2.33.1-1                    (2.32-3)                 core       
  bison                                  3.4.2-1                     (3.4-1)                  core       
  btrfs-progs                            5.3.1-1                     (5.2.2-1)                core       
  ca-certificates-mozilla                3.47-1                      (3.46.1-1)               core       
  cronie                                 1.5.4-3                     (1.5.4-2)                core       
  cups                                   2.3.0-4                     (2.3.0-3)                extra      
  dhcpcd                                 8.1.1-1                     (8.0.6-1)                core       
  expac                                  9-2                         (9-1)                    extra      
  expat                                  2.2.9-1                     (2.2.7-1)                core       
  ffmpeg                                 1:4.2.1-3                   (1:4.2.1-2)              extra      
  filesystem                             2019.10-3                   (2018.9-3)               core       
  firefox                                70.0.1-1                    (70.0-0)                 extra      
  firefox-i18n-en-us                     70.0.1-1                    (70.0-1)                 extra      
  firefox-i18n-fr                        70.0.1-1                    (70.0-1)                 extra      
  gcc                                    9.2.0-3                     (9.2.0-2)                core       
  gcc-libs                               9.2.0-3                     (9.2.0-2)                core       
  gcr                                    3.34.0-1                    (3.33.4+6+g35df18d-1)    extra      
  gegl                                   0.4.16-3                    (0.4.16-2)               extra      
  ghostscript                            9.50-1                      (9.27-2)                 extra      
  gimp                                   2.10.12-4                   (2.10.12-3)              extra      
  glib2                                  2.62.2-1                    (2.62.1-1)               core       
  glibc                                  2.30-2                      (2.30-1)                 core       
  gnome-getting-started-docs             3.34.1-1                    (3.34.0-1)               extra      
  gnome-notes                            3.34.1-1                    (3.34.0-1)               extra      
  gnome-online-accounts                  3.34.1-1                    (3.34.0-1)               extra      
  gnome-screenshot                       3.34.0-1                    (3.32.0-1)               extra      
  gnome-shell                            1:3.34.1+5+g072a9a484-1     (1:3.34.1-1)             extra      
  gnome-shell-extension-appindicator     30-1                        (29-1)                   community  
  gnome-shell-extension-arc-menu         36.0+dev+2+gd687897-1       (34.1+dev+5+gb8bd28f-1)  community  
  gnome-shell-extension-gsconnect        27-2                        (26-1)                   community  
  gnome-user-docs                        3.34.1-1                    (3.34.0-1)               extra      
  gst-plugins-bad                        1.16.1-3                    (1.16.1-1)               extra      
  gtk-update-icon-cache                  1:3.24.12+32+g39e28ab933-1  (1:3.24.12-1)            extra      
  gtk3                                   1:3.24.12+32+g39e28ab933-1  (1:3.24.12-1)            extra      
  gtkmm3                                 3.24.2-1                    (3.24.1-1)               extra      
  harfbuzz                               2.6.4-1                     (2.6.2-1)                extra      
  harfbuzz-icu                           2.6.4-1                     (2.6.2-1)                extra      
  hplip                                  1:3.19.8-2                  (1:3.19.8-1)             extra      
  imagemagick                            7.0.9.2-1                   (7.0.8.68-1)             extra      
  intel-tbb                              2019.9-2                    (2019.8-1)               extra      
  jbig2dec                               0.17-1                      (0.16-1)                 extra      
  jdk-openjdk                            13.0.1.u9-1                 (13.u33-1)               extra      
  jdk11-openjdk                          11.0.5.u10-1                (11.0.4.u11-1)           extra      
  jre-openjdk                            13.0.1.u9-1                 (13.u33-1)               extra      
  jre-openjdk-headless                   13.0.1.u9-1                 (13.u33-1)               extra      
  jre11-openjdk                          11.0.5.u10-1                (11.0.4.u11-1)           extra      
  jre11-openjdk-headless                 11.0.5.u10-1                (11.0.4.u11-1)           extra      
  jre8-openjdk                           8.u232-1                    (8.u222-2)               extra      
  jre8-openjdk-headless                  8.u232-1                    (8.u222-2)               extra      
  kauth                                  5.63.0-1                    (5.62.0-1)               extra      
  kcoreaddons                            5.63.0-1                    (5.62.0-1)               extra      
  kitemmodels                            5.63.0-1                    (5.62.0-1)               extra      
  kwindowsystem                          5.63.0-1                    (5.62.0-1)               extra      
  lib32-gcc-libs                         9.2.0-3                     (9.2.0-2)                core       
  lib32-glibc                            2.30-2                      (2.30-1)                 core       
  lib32-libdrm                           2.4.100-1                   (2.4.99-1)               multilib   
  lib32-libglvnd                         1.2.0-3                     (1.2.0-2)                multilib   
  lib32-lm_sensors                       3.6.0-1                     (3.5.0-2)                multilib   
  lib32-mesa                             19.2.2-1                    (19.2.1-1)               multilib   
  lib32-mesa-vdpau                       19.2.2-1                    (19.2.1-1)               multilib   
  lib32-systemd                          242.153-1                   (242.135-1)              multilib   
  lib32-vulkan-intel                     19.2.2-1                    (19.2.1-1)               multilib   
  lib32-vulkan-radeon                    19.2.2-1                    (19.2.1-1)               multilib   
  libblockdev                            2.23-1                      (2.22-1)                 extra      
  libbsd                                 0.10.0-1                    (0.9.1-1)                extra      
  libchamplain                           0.12.20-1                   (0.12.19-1)              extra      
  libcups                                2.3.0-4                     (2.3.0-3)                extra      
  libdrm                                 2.4.100-1                   (2.4.99-1)               extra      
  libglvnd                               1.2.0-5                     (1.2.0-2)                extra      
  libheif                                1.5.1-2                     (1.5.1-1)                extra      
  libinput                               1.14.3-1                    (1.14.1-1)               extra      
  libmm-glib                             1.10.8-1                    (1.10.6-1)               extra      
  libphonenumber                         8.10.20-2                   (8.10.18-2)              extra      
  librsvg                                2:2.46.3-1                  (2:2.46.1-1)             extra      
  libssh                                 0.9.1-1                     (0.9.0-1)                extra      
  libtommath                             1.2.0-1                     (1.1.0-1)                extra      
  libuv                                  1.33.1-1                    (1.32.0-1)               extra      
  libva-mesa-driver                      19.2.2-1                    (19.2.1-1)               extra      
  libxkbcommon                           0.9.1-1                     (0.8.4-1)                extra      
  libxkbcommon-x11                       0.9.1-1                     (0.8.4-1)                extra      
  licenses                               20191011-1                  (20181104-1)             core       
  linux-firmware                         20191022.2b016af-1          (20190926.c0590d8-1)     core       
  linux419                               4.19.81-1                   (4.19.79-1)              core       
  linux53                                5.3.8-3                     (5.3.6-1)                core       
  lm_sensors                             3.6.0-1                     (3.5.0-1)                extra      
  lollypop                               1.2.2-1                     (1.1.4.16-1)             community  
  lsb-release                            1.4-13                      (1.4-12)                 core       
  man-db                                 2.9.0-1                     (2.8.7-1)                core       
  manjaro-gdm-branding                   20191029-1                  (20190608-1)             community  
  manjaro-gnome-assets                   20191025-1                  (20190925-1)             community  
  manjaro-gnome-extension-settings-18.0  20191029-1                  (20190608-1)             community  
  manjaro-gnome-settings-18.0            20191029-1                  (20190806-1)             community  
  manjaro-icons                          20191015-1                  (20191005-1)             extra      
  manjaro-release                        18.1.2-1                    (18.1.1-1)               core       
  matcha-gtk-theme                       20191026-1                  (20191003-1)             community  
  mesa                                   19.2.2-1                    (19.2.1-1)               extra      
  mesa-vdpau                             19.2.2-1                    (19.2.1-1)               extra      
  mhwd-db                                0.6.3-13                    (0.6.3-12)               core       
  modemmanager                           1.10.8-1                    (1.10.6-1)               extra      
  mutter                                 3.34.1+26+gc0037305e-1      (3.34.1+4+gd49d10b14-1)  extra      
  ndctl                                  67-1                        (66-1)                   extra      
  node-gyp                               6.0.0-1                     (5.0.3-1)                community  
  nodejs                                 12.13.0-1                   (12.11.1-1)              community  
  npm                                    6.12.1-1                    (6.12.0-1)               community  
  nspr                                   4.23-1                      (4.22-1)                 core       
  nss                                    3.47-1                      (3.46.1-1)               core       
  openexr                                2.4.0-4                     (2.3.0-1)                extra      
  opera                                  64.0.3417.54-1              (64.0.3417.47-1)         community  
  pacman                                 5.2.0-2                     (5.1.3-1)                core       
  pamac-cli                              9.0.2-2                     (9.0.1-3)                extra      
  pamac-common                           9.0.2-2                     (9.0.1-3)                extra      
  pamac-gtk                              9.0.2-2                     (9.0.1-3)                extra      
  pango                                  1:1.44.7-1                  (1:1.44.6+2-1)           extra      
  perl-alien-libxml2                     0.11-1                      (0.09-2)                 extra      
  powertop                               2.11-1                      (2.10-1)                 community  
  protobuf                               3.10.0-1                    (3.7.0-1)                extra      
  python-cairo                           1.18.2-1                    (1.18.1-1)               extra      
  python-pillow                          6.2.0-1                     (6.1.0-1)                community  
  python-urllib3                         1.25.6-1                    (1.25.5-1)               extra      
  python2                                2.7.17-1                    (2.7.16-1)               extra      
  python2-cairo                          1.18.2-1                    (1.18.1-1)               extra      
  qpdf                                   9.0.2-1                     (9.0.1-1)                extra      
  readline                               8.0.001-1                   (8.0.0-1)                core       
  shared-mime-info                       1.15-1                      (1.14-1)                 extra      
  shotcut                                19.10.20-1                  (19.09.14-1)             community  
  sudo                                   1.8.29-1                    (1.8.28-0)               core       
  systemd                                242.153-1                   (242.135-1)              core       
  systemd-libs                           242.153-1                   (242.135-1)              core       
  systemd-sysvcompat                     242.153-1                   (242.135-1)              core       
  telepathy-mission-control              5.16.5-1                    (5.16.4-3)               extra      
  texinfo                                6.7-1                       (6.6-1)                  core       
  thunderbird                            68.2.1-1                    (68.1.2-0)               extra      
  thunderbird-i18n-en-us                 68.2.1-1                    (68.1.2-0)               extra      
  thunderbird-i18n-fr                    68.2.1-1                    (68.1.2-0)               extra      
  tslib                                  1.21-1                      (1.20-1)                 extra      
  twolame                                0.4.0-1                     (0.3.13-9)               community  
  unrar                                  1:5.8.3-1                   (1:5.8.2-1)              extra      
  vlc                                    3.0.8-3                     (3.0.8-1)                extra      
  vulkan-icd-loader                      1.1.126-1                   (1.1.123-1)              extra      
  vulkan-intel                           19.2.2-1                    (19.2.1-1)               extra      
  vulkan-radeon                          19.2.2-1                    (19.2.1-1)               extra      
  wallpapers-2018                        1.1-1                       (1.0-1)                  community  
  x264                                   3:0.157.r2980.34c06d1-1     (2:157.r72db4377-1)      extra      
  x265                                   3.2.1-1                     (3.1.2-1)                extra      
  xdg-desktop-portal                     1.5.2-1                     (1.5.0-1)                extra      
  xdg-utils                              1.1.3+18+g0547886-2         (1.1.3+18+g0547886-1)    extra      
  xf86-input-wacom                       0.38.0-1                    (0.37.0-1)               extra      
  xf86-video-amdgpu                      19.1.0-1                    (19.0.1-1)               extra      
  xf86-video-ati                         1:19.1.0-1                  (1:19.0.1-1)             extra      
  xkeyboard-config                       2.28-1                      (2.27-1)                 extra      
  xmlsec                                 1.2.29-1                    (1.2.28-1)               extra      
  xorg-server                            1.20.5-4.1                  (1.20.5-2.1)             extra      
  xorg-server-common                     1.20.5-4.1                  (1.20.5-2.1)             extra      
  xorg-server-xwayland                   1.20.5-4.1                  (1.20.5-2.1)             extra      
  xorgproto                              2019.2-1                    (2019.1-3)               extra      
  yad                                    5.0-1                       (4.1-2)                  community  
  zbar                                   0.23-2                      (0.23-1)                 extra      
À installer  (2):
  mhwd-nvidia-440xx                      440.26-1                                             core       
  w3m                                    0.5.3.git20190105-1                                  extra      
À construire  (3):
  betaflight-configurator-bin            10.6.0-1                                             aur
  franz-bin                              5.4.1-1                                              aur
  vivaldi                                2.9.1705.41-1                                        aur
À désinstaller  (1):
  ilmbase                                2.3.0-1                                              

Taille totale installée: 584.1 Mo
Taille totale libérée: 1.1 Mo
Éditer les fichiers de construction ? [o/N] n

Appliquer la transaction ? [o/N] o
Vérification du trousseau...                                           [163/163]
Vérification de l’intégrité des paquets...                             [161/163]
et là c'est ploqué à 161/163...

Merci d'avance pour votre aide.

PS :
Si il fallait créer un sujet à part, n'hésitez pas à scinder le sujet.

[Stable] Mise à jour 05/11/2019 - Kernels, Plasma, Firefox, Toolchain

#12Messageil y a 1 semaine

Bonjour.
Lorsque une instance de libalpm (pacman, pamac) est lancée un verrou empêche toute autre instance. Si la MàJ a avortée, le verrou peut rester. Donc en premier:

sudo rm /var/lib/pacman/db.lck

Ensuite relance sudo pacman -Syyu A voir aussi que tu aies suffisamment de place disponible .
Au cas où, un sudo pacman -Sc nettoiera le cache de pacman en ne gardant que la dernière version de paquets installés.

[Stable] Mise à jour 05/11/2019 - Kernels, Plasma, Firefox, Toolchain

#13Messageil y a 1 semaine

lemust83 a écrit :
il y a 1 semaine
Au cas où, un sudo pacman -Sc nettoiera le cache de pacman en ne gardant que la dernière version de paquets installés.
Ça a fonctionné ! J'ai nettoyé le cache et tout c'est mis à jour sans soucis via pacman.
Merci beaucoup car j'ai pu comprendre le problème. :sourire:

Répondre